Bug 174814 - CVE-2005-3964 openmotif libUil buffer overflows
CVE-2005-3964 openmotif libUil buffer overflows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmotif (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
impact=moderate,public=20051202,repor...
: Security
Depends On:
Blocks: CVE-2005-3964 180357 180358 180359
  Show dependency treegraph
 
Reported: 2005-12-02 09:37 EST by Josh Bressers
Modified: 2008-01-28 11:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 08:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2005-3964 libUil patch (1.00 KB, patch)
2006-02-02 12:39 EST, Thomas Woerner
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-12-02 09:37:33 EST
openmotif libUil buffer overflows

http://marc.theaimsgroup.com/?l=full-disclosure&m=113349242925897&w=2

xfocus have discovered two buffer overflow flaws in openmotif's libUil
library.  This overflow is going to depend on how a motif application
is passing data into the UIL library.


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 2 Thomas Woerner 2006-02-02 12:39:09 EST
Created attachment 124061 [details]
CVE-2005-3964 libUil patch
Comment 6 Thomas Woerner 2006-04-25 08:40:50 EDT
Fixed in RHSA-2006-0272.

Note You need to log in before you can comment on or make changes to this bug.